Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.analyzer
Class AnalysisException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.owasp.dependencycheck.analyzer.AnalysisException

All Implemented Interfaces:
  Serializable

    public class AnalysisException

extends Exception

An exception thrown when the analysis of a dependency fails.

Author:
  Jeremy Long (jeremy.long@owasp.org)
See Also:
  Serialized Form

Constructor Summary
`AnalysisException()` Creates a new AnalysisException.
`AnalysisException(String msg)` Creates a new AnalysisException.
`AnalysisException(String msg, Throwable ex)` Creates a new DownloadFailedException.
`AnalysisException(Throwable ex)` Creates a new AnalysisException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalysisException

    public AnalysisException()

  Creates a new AnalysisException.

### AnalysisException

    public AnalysisException(String msg)

  Creates a new AnalysisException.

  Parameters:
    `msg` - a message for the exception.

### AnalysisException

    public AnalysisException(Throwable ex)

  Creates a new AnalysisException.

  Parameters:
    `ex` - the cause of the failure.

### AnalysisException

    public AnalysisException(String msg,
                             Throwable ex)

  Creates a new DownloadFailedException.

  Parameters:
    `msg` - a message for the exception.
    `ex` - the cause of the failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.